// packageE/others/case_library/mycomponents/caseMobile.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    datas: {
      type: null
    },
  },
  lifetimes: {
    // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
    attached() {
      console.log(this.properties.datas);
    },
    moved() {},
    detached() {},
  },
  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    gotoDetail(e){
      let id = e.currentTarget.dataset.id;
      wx.navigateTo({
        url: '/packageE/others/case_library/case_detail/caseLibraryDetail?id='+id
      });
    },
    gotoLabel(e){
      let id = e.currentTarget.dataset.id;
      wx.navigateTo({
        url: '/packageE/others/case_library/label/caseLibraryLabel?id='+id
      });
    }
  }
});
